org.eclipse.incquery.patternlanguage.patternLanguage

## Interface Variable

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.xtext.common.types.JvmIdentifiableElement, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    LocalVariable, ParameterRef
  All Known Implementing Classes:
    LocalVariableImpl, ParameterRefImpl, VariableImpl

      public interface Variable
      extends org.eclipse.xtext.common.types.JvmIdentifiableElement

  A representation of the model object 'Variable'.

  The following features are supported:

  - `Name`
  - `Type`
  - `References`
  See Also:
    `PatternLanguagePackage.getVariable()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
    `org.eclipse.emf.common.util.EList<VariableReference>` | `getReferences()` Returns the value of the 'References' reference list.
    `java.lang.String` | `getSimpleName()`
    `Type` | `getType()` Returns the value of the 'Type' containment reference.
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
    `void` | `setType(Type value)` Sets the value of the '`Type`' containment reference.

    - ### Methods inherited from interface org.eclipse.xtext.common.types.JvmIdentifiableElement

      `getIdentifier, getQualifiedName, getQualifiedName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `PatternLanguagePackage.getVariable_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getType

          Type getType()

      Returns the value of the 'Type' containment reference.

      If the meaning of the 'Type' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type' containment reference.
      See Also:
        `setType(Type)`, `PatternLanguagePackage.getVariable_Type()`

    - #### setType

          void setType(Type value)

      Sets the value of the '`Type`' containment reference.
      Parameters:
        `value` - the new value of the 'Type' containment reference.
      See Also:
        `getType()`

    - #### getReferences

          org.eclipse.emf.common.util.EList<VariableReference> getReferences()

      Returns the value of the 'References' reference list. The list contents are of type `VariableReference`.

      If the meaning of the 'References' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'References' reference list.
      See Also:
        `PatternLanguagePackage.getVariable_References()`

    - #### getSimpleName

          java.lang.String getSimpleName()

      Specified by:
        `getSimpleName` in interface `org.eclipse.xtext.common.types.JvmIdentifiableElement`